## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XPath::TargetData Class Reference

`#include <XPath.hpp>`

List of all members.

## Public Types

- enum eTargetType { eAttribute, eElement, eAny, eOther }

## Public Methods

- TargetData ()
- TargetData (const XalanDOMChar *theString, eMatchScore thePriority, eTargetType theTargetType)
- const XalanDOMChar* getString () const
- eMatchScore getDefaultPriority () const
- eTargetType getTargetType () const

## Member Enumeration Documentation

enum XPath::TargetData::eTargetType

Enumeration values:

  eAttribute |
  eElement |
  eAny |
  eOther |

## Constructor & Destructor Documentation

XPath::TargetData::TargetData ( | )

XPath::TargetData::TargetData ( | const XalanDOMChar * theString,
| eMatchScore thePriority,
| eTargetType theTargetType )

## Member Function Documentation

eMatchScore XPath::TargetData::getDefaultPriority ( | ) const

const XalanDOMChar * XPath::TargetData::getString ( | ) const

eTargetType XPath::TargetData::getTargetType ( | ) const

The documentation for this class was generated from the following file:

- XPath.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.